The EnvelopeConsumerDisclosures resource provides methods that enable you to retrieve the Electronic Record and Signature Disclosure (ERSD) for an envelope recipient. This is the disclosure that displays to each new recipient who is going to sign or add other information, or who is required to view the documents you send to them. The recipient must read and agree to the terms of the disclosure before they can access and take action on the documents you send. The ERSD does not apply to copy-only recipients, but does apply to recipients who must sign or view your documents.
You can retrieve either the default ERSD that Docusign provides for U.S.-based transactions, or a custom ERSD.
Languages
You specify the language of the disclosure version that you want to retrieve by using the langCode parameter.
Important: The system does not translate the ERSD for you. An account administrator must create a version of the account-level disclosure for each language that your signers use.
For more information, see Legal Disclosure.
Methods supported
| Method | Description |
|---|---|
| get | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure/{langCode}Gets the Electronic Record and Signature Disclosure for a specific envelope recipient. |
| getDefault | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosureGets the default Electronic Record and Signature Disclosure for an envelope. |
EnvelopeConsumerDisclosures properties
| Property | Type | Description |
|---|---|---|
accountEsignId | string | The GUID of the account associated with the consumer disclosure. |
allowCDWithdraw | string | When true, indicates that the customer can withdraw their consent to the consumer disclosure when they decline to sign documents. If these recipients sign documents sent to them from your account in the future, they will be required to agree to the terms in the disclosure. The default value is false. Note: Only Admin users can change this setting. |
allowCDWithdrawMetadata | settingsMetadata | Metadata that indicates whether the allowCDWithdraw property is editable. |
changeEmail | string | If the customer needs to change their email address, this is the email address to which they should the change request. |
changeEmailOther | string | Other information about the requirements for the user to change their email address. Example: We do not require any other information from you to change your email address. |
companyName | string | Specifies the company name used in the disclosure. The default value is the account name. However, if your account uses signing brands that specify a company name, you can substitute the brand’s company name by setting the useBrand property to true. Whenever an envelope is sent from the account that uses a signing brand with a specified companyName, that value is used in email notifications and in the signing experience.Note: This substitution only works if you use the default legal disclosure or if you apply the companyName to the merge fields in a custom ERSD. You must also set the value of the useBrand property to true. |
companyPhone | string | The phone number of the company associated with the consumer disclosure, as a free-formatted string. |
copyCostPerPage | string | The cost per page if the customer requests paper copies. Example: 0.0000 |
copyFeeCollectionMethod | string | Specifies the fee collection method for cases in which the customer requires paper copies of the document. Maximum length: 255 characters. Example: We will bill you for any fees at that time, if any. |
copyRequestEmail | string | The email address to which the customer should send a request for copies of a document. Maximum length: 100 characters. |
custom | string | When true, indicates that the consumer disclosure is a custom disclosure. The default is false. |
enableEsign | string | When true (default), indicates that eSign is enabled. |
esignAgreement | string | The final, assembled text of the Electronic Record and Signature Disclosure that includes the appropriate companyName and other specifics. It also includes the HTML tags used for formatting. |
esignText | string | The template for the Electronic Record and Signature Disclosure, which contains placeholders for information such as the companyName. It also includes the HTML tags used for formatting.Note: If you are switching to or updating a custom disclosure, you can edit both the text and the HTML formatting. |
languageCode | string | The simple type enumeration for the language to use when displaying the disclosure. The following languages are supported:
browser. |
mustAgreeToEsign | string | When true, the recipient must agree to the consumer disclosure. The value of this property is read-only. It is calculated based on the account setting consumerDisclosureFrequency and the user’s actions. |
pdfId | string | Deprecated. The pdfId property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored. |
useBrand | string | When true, specifies that the company name in the signing brand is used for the disclosure. Whenever an envelope is sent from the account that uses a signing brand with a specified company name, that value is used in email notifications and in the signing experience. When false (default), or if the signing brand does not specify a company name, the account name is used instead. Note: This substitution only works if you use the default legal disclosure or if you apply the companyName to the merge fields in a custom ERSD. |
useConsumerDisclosureWithinAccount | string | When true, specifies that recipients in the same account as the sender must agree to eSign an Electronic Record and Signature Disclosure Statement. |
useConsumerDisclosureWithinAccountMetadata | settingsMetadata | Metadata that indicates whether the useConsumerDisclosureWithinAccount property is editable. |
withdrawAddressLine1 | string | Contains the first address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawAddressLine2 | string | Contains the second address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawByEmail | string | When true (default), indicates that the customer can withdraw consent by email. |
withdrawByMail | string | When true, indicates that the customer can withdraw consent by postal mail. The default is false. |
withdrawByPhone | string | When true, indicates that the customer can withdraw consent by phone. The default is false. |
withdrawCity | string | Contains the city of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 50 characters. |
withdrawConsequences | string | Text indicating the consequences of withdrawing consent. Maximum length: 255 characters. |
withdrawEmail | string | Contains the email address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawOther | string | Contains any other information needed to withdraw consent. Maximum length: 255 characters. Example: We do not need any other information from you to withdraw consent. |
withdrawPhone | string | Contains the phone number that a customer can call to register consent withdrawal notification as a free-formatted string. Maximum length: 20 characters. |
withdrawPostalCode | string | Contains the postal code of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 20 characters. |
withdrawState | string | Contains the state of the postal address to which a customer can send a consent withdrawal notification. Example: PA |